# Global


## 


































---------------















### Type Definitions






#### <span class="type-signature"></span>RequestCallback<span class="signature">(error, response)</span><span class="type-signature"></span>









##### Parameters:

|Name|Type|Description|
|----|----|-----------|
|`error`|*<a href="/doc/index.html#/apis/global?id=RequestError">RequestError</a>*|The error if the request could not be fulfilled.|
|`response`|*object*|The Dynatrace API's response, as a parsed JSON object,
if the request was succesful.|























*Source:*
<a href="/doc/index.html#/apis/DynatraceAPI.js">DynatraceAPI.js</a>, <a href="/doc/index.html#/apis/DynatraceAPI.js?id=L42">line 42</a>
























#### RequestError





##### Properties:



|Name|Type|Description|
|----|----|-----------|
|`code`*number*|The HTTP status code.`message`*string*|The error message.



















*Source:*
<a href="/doc/index.html#/apis/DynatraceAPI.js">DynatraceAPI.js</a>, <a href="/doc/index.html#/apis/DynatraceAPI.js?id=L36">line 36</a>











#### RequestOptions





##### Properties:



|Name|Type|Argument|Default|Description|
|----|----|--------|-------|-----------|
|`tenant`*string*| ||Name of the tenant. The tenant's definition in config.json
                               provides the base URL, port and token information.`endPoint`*string*| ||The URL of the request. The URL is relative to the base URL for
                               the specified tenant.`queryData`*string*|*optional*<br> |""|The query parameters to be appended to the request.`postData`*string*|*optional*<br> |null|The data to be posted as part of the request.`method`*string*|*optional*<br> |GET|POST|The HTTP request method. The default is 'GET'
                               if the 'postData' parameter is empty, and 'POST' otherwise.`stream`*boolean*|*optional*<br> |false|Whether the response should be streamed back to the caller.
WHAT HAPPENS HERE? More details. The postData is piped to the reuqest,
amd the response if streamed back to the caller. How? See PROCESS_GROUP_INSTANCE implementation.`timeout`*number*|*optional*<br> |maxQueueTime|The number of seconds before the request will time out.`retryLimit`*number*|*optional*<br> |tenantRetryLimit|The number of times the request can be retried.
       The default is the number of retries specified in the tenant definition in config.json.



















*Source:*
<a href="/doc/index.html#/apis/DynatraceAPI.js">DynatraceAPI.js</a>, <a href="/doc/index.html#/apis/DynatraceAPI.js?id=L18">line 18</a>