Goals
=====

The Dynatrace ETL Service continuously collects and streams metric values and properties, for subsets of entities and user sessions. It should be noted that there are inherent limits to the volume of data that can be retrieved from the Dynatrace API within a given timeframe. Likewise, there are inherent limitations to the number of messages that can be posted to, for instance, a Kafka message bus or a REST API in the allocated timeframes. The solution therefore aims to automatically adapt its deployment and parallelization strategies to maximize its throughput while not exceeding rate limits placed upon it. Every effort is made to utilize multiple, concurrent endpoints to distribute the load. 