Health Monitor
=====

To monitor the health and behavior of the StreamerService and the LibraryService process(es), a ‘Health’ page is available. It can be launched from a link in the top-left of the job editor. This page shows a continuously updated representation of key activities, based on continuous status updates emitted by the implementation.

![image.png](/.attachments/image-877f9a34-f1e2-4be8-833e-d66e1cd91808.png)

The top timeline shows the StreamerService.
It hosts the Scheduler, the LibraryService instances it connects to, and all Workers in use. Click on the ‘Calendar’ icon to see and change the current job schedules.

![image.png](/.attachments/image-a24b4213-71f6-48e2-a620-377ee5d6326c.png)

Each marker on the timeline indicates an activity. Hovering over that activity shows more information about it. 

Subsequent timelines show the various LibraryService processes, with one timeline per tenant. They show, per type of entity, the requests made to the Dynatrace API to synchronize with the cluster. Click on the ‘Statistics’ icon on each row to see more information about that synchronization pipeline’s status and effective behavior.

![image.png](/.attachments/image-a4f3a2d7-56e2-433d-b9f3-5d154a343c7d.png)


