module.exports = {
    transform: function (response) {
        const whitelist = ["/opt/dynatrace", "/var/opt/jra", "/opt/jra_apps", "/opt/was"];
        
        return {
            list: response.disksMountPoints
                .filter(disk => !whitelist.includes(disk))
                .map(   disk => ({ name: disk })),
            disksMountPoints: []
        };
    }
}