ToggleBar = function (elem) {
    var selectOption = function (evt) {
        for (var i=0; i < elem.children.length; i++) {
            elem.children[i].classList.remove("Selected");
        }   
        evt.target.classList.add("Selected");
        
        elem.value = evt.target.getAttribute("value");
        elem.dispatchEvent(new Event('change'));
    }
    
    for (var i=0; i < elem.childNodes.length; /* NOP */) {
        var childNode = elem.childNodes[i]
        
        // Remove everything that is not an HTML element (spaces).
        // They screw up the formating of the bar.
        if (childNode.nodeType !== Node.ELEMENT_NODE) {
            elem.removeChild(childNode);
        }
        else {
            childNode.addEventListener("click", selectOption);
        
            if (childNode.classList.contains("Selected"))
                elem.value = childNode.getAttribute("value");
            
            i++; // Move on to next node.
        }
    }
};