# Interface: DestinationConnection


## DestinationConnection

**This is the interface that destination connectors must implement.**





### Constructor


#### new DestinationConnection<span class="signature">()</span>





























*Source:*
<a href="/doc/index.html#/apis/DestinationAPI.js">DestinationAPI.js</a>, <a href="/doc/index.html#/apis/DestinationAPI.js?id=L65">line 65</a>























---------------













### Methods






#### <span class="type-signature"></span>close<span class="signature">()</span><span class="type-signature"></span>


Close the connection to the destination.


























*Source:*
<a href="/doc/index.html#/apis/DestinationAPI.js">DestinationAPI.js</a>, <a href="/doc/index.html#/apis/DestinationAPI.js?id=L78">line 78</a>




























#### <span class="type-signature">(async) </span>send<span class="signature">(messages, onComplete)</span><span class="type-signature"></span>


Send an array of messages (or graphs, or tuples). Once done, the implementation must
(asynchronously) call 'onComplete()'.






##### Parameters:

|Name|Type|Description|
|----|----|-----------|
|`messages`|*array*|The messages to be sent.|
|`onComplete`|*function*|The function to be called upon completion.|























*Source:*
<a href="/doc/index.html#/apis/DestinationAPI.js">DestinationAPI.js</a>, <a href="/doc/index.html#/apis/DestinationAPI.js?id=L73">line 73</a>