Technology
=====

The solution is implemented in NodeJS. Among the various technologies that can be used to implement the Streaming API, Python and Javascript are the most lightweight in terms of complexity of development and deployment (as opposed to Java and .NET). Among those two, NodeJS is distinctly the faster engine, which is a critical consideration for this project. Also, the minimal data processing work benefits from asynchronous processing over multithreading.

The various components in the solution (i.e. the green boxes) run as individual NodeJS instances (processes) under control of the StreamerService. Pipes are used for inter-process communication in case the StreamerService starts the LibraryService process(es); HTTP is used if the LibraryService process(es) are started independently.
