Installation
=====

TODO: Update for version 6.0.0 and DSS Deployment


- Download the source code from GitLab (https://gitlab.com/BartOostlander/dynatrace-streamingapi) to your local system.
- Navigate to the /config directory and open 'config.json' in a text editor. 
  - Under "Tenants" configure your tenants (including the Dynatrace API token).
  - Under "library" ensure that your tenant is referenced. Also, set the "launch" property to "embedded".
  - Under "database" configure the database adaptor class, location, port, user and password.
- In MariaDB or MySQL create a database named "StreamingAPI" (recommended name). 
  - It is easiest to use HeidiSQL for this task.
  - Use the "utf8-general-ci" collation strategy.
  - Ensure that the user with which you connect to that database has "CREATE TABLE" permissions for the "StreamingAPI" database.
- Navigate to the /server directory. 
  - Run 'npm install'. This will install all libraries required by the StreamingAPI.
  - Check that no error messages appear.
  - Run "node StreamerService.js".
  - Check that no error messages appear.
- Once the StreamerService is running, open your browser and navigate to http://localhost:8080. 
  - Log in as "myuser" and password "mypassword". You can change this in the config.json file.
  - Click "Continue".
  - In the editor, click "New Job".
  - You should now see the hosts, etc. in the selected tenant.
