Objective
=====

Dynatrace customers have expressed a desire to be able to receive a continuous stream of metrics and properties for selected Dynatrace entities into enterprise messaging infrastructures like Kafka. The Dynatrace ETL Service enables this functionality, both for entity metrics as well as user session metrics. 

Output streams can be consumed by 3rd parties and/or persisted. It may subsequently be used for various purposes:

- Custom metric charting in 3rd-party dashboard products;
- Extraction of SmartScape data for CMDB synchronization or custom reporting.
- Consolidation of key performance data points, collected by various APM technologies, of entities and sessions;
- Automated remedial actions based on metric behavior.
